
package com.gekko_holding.webservice.referential;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.gekko_holding.webservice.v2_4 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetBoardTypesResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getBoardTypesResponse");
    private final static QName _GetCitiesResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getCitiesResponse");
    private final static QName _GetCities_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getCities");
    private final static QName _GetHotelFacilitiesResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelFacilitiesResponse");
    private final static QName _GetHotelRatingsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelRatingsResponse");
    private final static QName _GetHotelRatings_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelRatings");
    private final static QName _GetPOIsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getPOIsResponse");
    private final static QName _GetRoomTypesResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getRoomTypesResponse");
    private final static QName _GetPOIs_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getPOIs");
    private final static QName _GetRoomTypes_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getRoomTypes");
    private final static QName _GetCountries_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getCountries");
    private final static QName _GetHotelFacilities_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelFacilities");
    private final static QName _GetBoardTypes_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getBoardTypes");
    private final static QName _GetCountriesResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getCountriesResponse");
    private final static QName _ServiceError_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "serviceError");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.gekko_holding.webservice.v2_4
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetHotelRatingsResponse }
     * 
     */
    public GetHotelRatingsResponse createGetHotelRatingsResponse() {
        return new GetHotelRatingsResponse();
    }

    /**
     * Create an instance of {@link CityBean }
     * 
     */
    public CityBean createCityBean() {
        return new CityBean();
    }

    /**
     * Create an instance of {@link Facility }
     * 
     */
    public Facility createFacility() {
        return new Facility();
    }

    /**
     * Create an instance of {@link CustomerIdentification }
     * 
     */
    public CustomerIdentification createCustomerIdentification() {
        return new CustomerIdentification();
    }

    /**
     * Create an instance of {@link Poi }
     * 
     */
    public Poi createPoi() {
        return new Poi();
    }

    /**
     * Create an instance of {@link GetHotelRatings }
     * 
     */
    public GetHotelRatings createGetHotelRatings() {
        return new GetHotelRatings();
    }

    /**
     * Create an instance of {@link GetCitiesResponse }
     * 
     */
    public GetCitiesResponse createGetCitiesResponse() {
        return new GetCitiesResponse();
    }

    /**
     * Create an instance of {@link GetCountriesResponse }
     * 
     */
    public GetCountriesResponse createGetCountriesResponse() {
        return new GetCountriesResponse();
    }

    /**
     * Create an instance of {@link GetPOIsResponse }
     * 
     */
    public GetPOIsResponse createGetPOIsResponse() {
        return new GetPOIsResponse();
    }

    /**
     * Create an instance of {@link GetRoomTypesResponse }
     * 
     */
    public GetRoomTypesResponse createGetRoomTypesResponse() {
        return new GetRoomTypesResponse();
    }

    /**
     * Create an instance of {@link ErrorDetails }
     * 
     */
    public ErrorDetails createErrorDetails() {
        return new ErrorDetails();
    }

    /**
     * Create an instance of {@link Country }
     * 
     */
    public Country createCountry() {
        return new Country();
    }

    /**
     * Create an instance of {@link HotelRating }
     * 
     */
    public HotelRating createHotelRating() {
        return new HotelRating();
    }

    /**
     * Create an instance of {@link Identification }
     * 
     */
    public Identification createIdentification() {
        return new Identification();
    }

    /**
     * Create an instance of {@link RoomType }
     * 
     */
    public RoomType createRoomType() {
        return new RoomType();
    }

    /**
     * Create an instance of {@link GetRoomTypes }
     * 
     */
    public GetRoomTypes createGetRoomTypes() {
        return new GetRoomTypes();
    }

    /**
     * Create an instance of {@link GetCities }
     * 
     */
    public GetCities createGetCities() {
        return new GetCities();
    }

    /**
     * Create an instance of {@link Board }
     * 
     */
    public Board createBoard() {
        return new Board();
    }

    /**
     * Create an instance of {@link GetCountries }
     * 
     */
    public GetCountries createGetCountries() {
        return new GetCountries();
    }

    /**
     * Create an instance of {@link GetBoardTypesResponse }
     * 
     */
    public GetBoardTypesResponse createGetBoardTypesResponse() {
        return new GetBoardTypesResponse();
    }

    /**
     * Create an instance of {@link GetHotelFacilities }
     * 
     */
    public GetHotelFacilities createGetHotelFacilities() {
        return new GetHotelFacilities();
    }

    /**
     * Create an instance of {@link GetBoardTypes }
     * 
     */
    public GetBoardTypes createGetBoardTypes() {
        return new GetBoardTypes();
    }

    /**
     * Create an instance of {@link GetHotelFacilitiesResponse }
     * 
     */
    public GetHotelFacilitiesResponse createGetHotelFacilitiesResponse() {
        return new GetHotelFacilitiesResponse();
    }

    /**
     * Create an instance of {@link GetPOIs }
     * 
     */
    public GetPOIs createGetPOIs() {
        return new GetPOIs();
    }

    /**
     * Create an instance of {@link CityCode }
     * 
     */
    public CityCode createCityCode() {
        return new CityCode();
    }

    /**
     * Create an instance of {@link EntityBean }
     * 
     */
    public EntityBean createEntityBean() {
        return new EntityBean();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBoardTypesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getBoardTypesResponse")
    public JAXBElement<GetBoardTypesResponse> createGetBoardTypesResponse(GetBoardTypesResponse value) {
        return new JAXBElement<GetBoardTypesResponse>(_GetBoardTypesResponse_QNAME, GetBoardTypesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCitiesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getCitiesResponse")
    public JAXBElement<GetCitiesResponse> createGetCitiesResponse(GetCitiesResponse value) {
        return new JAXBElement<GetCitiesResponse>(_GetCitiesResponse_QNAME, GetCitiesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCities }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getCities")
    public JAXBElement<GetCities> createGetCities(GetCities value) {
        return new JAXBElement<GetCities>(_GetCities_QNAME, GetCities.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelFacilitiesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelFacilitiesResponse")
    public JAXBElement<GetHotelFacilitiesResponse> createGetHotelFacilitiesResponse(GetHotelFacilitiesResponse value) {
        return new JAXBElement<GetHotelFacilitiesResponse>(_GetHotelFacilitiesResponse_QNAME, GetHotelFacilitiesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelRatingsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelRatingsResponse")
    public JAXBElement<GetHotelRatingsResponse> createGetHotelRatingsResponse(GetHotelRatingsResponse value) {
        return new JAXBElement<GetHotelRatingsResponse>(_GetHotelRatingsResponse_QNAME, GetHotelRatingsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelRatings }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelRatings")
    public JAXBElement<GetHotelRatings> createGetHotelRatings(GetHotelRatings value) {
        return new JAXBElement<GetHotelRatings>(_GetHotelRatings_QNAME, GetHotelRatings.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPOIsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getPOIsResponse")
    public JAXBElement<GetPOIsResponse> createGetPOIsResponse(GetPOIsResponse value) {
        return new JAXBElement<GetPOIsResponse>(_GetPOIsResponse_QNAME, GetPOIsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRoomTypesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getRoomTypesResponse")
    public JAXBElement<GetRoomTypesResponse> createGetRoomTypesResponse(GetRoomTypesResponse value) {
        return new JAXBElement<GetRoomTypesResponse>(_GetRoomTypesResponse_QNAME, GetRoomTypesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPOIs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getPOIs")
    public JAXBElement<GetPOIs> createGetPOIs(GetPOIs value) {
        return new JAXBElement<GetPOIs>(_GetPOIs_QNAME, GetPOIs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRoomTypes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getRoomTypes")
    public JAXBElement<GetRoomTypes> createGetRoomTypes(GetRoomTypes value) {
        return new JAXBElement<GetRoomTypes>(_GetRoomTypes_QNAME, GetRoomTypes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCountries }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getCountries")
    public JAXBElement<GetCountries> createGetCountries(GetCountries value) {
        return new JAXBElement<GetCountries>(_GetCountries_QNAME, GetCountries.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelFacilities }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelFacilities")
    public JAXBElement<GetHotelFacilities> createGetHotelFacilities(GetHotelFacilities value) {
        return new JAXBElement<GetHotelFacilities>(_GetHotelFacilities_QNAME, GetHotelFacilities.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBoardTypes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getBoardTypes")
    public JAXBElement<GetBoardTypes> createGetBoardTypes(GetBoardTypes value) {
        return new JAXBElement<GetBoardTypes>(_GetBoardTypes_QNAME, GetBoardTypes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCountriesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getCountriesResponse")
    public JAXBElement<GetCountriesResponse> createGetCountriesResponse(GetCountriesResponse value) {
        return new JAXBElement<GetCountriesResponse>(_GetCountriesResponse_QNAME, GetCountriesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "serviceError")
    public JAXBElement<ErrorDetails> createServiceError(ErrorDetails value) {
        return new JAXBElement<ErrorDetails>(_ServiceError_QNAME, ErrorDetails.class, null, value);
    }

}
