
package com.gekko_holding.webservice.referential;

import org.codehaus.jackson.map.ObjectMapper;

import javax.xml.bind.annotation.*;

/**
 * <p>
 * Java class for getCities complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="getCities">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="language" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="identification" type="{http://webservice.gekko-holding.com/v2_4}identification"/>
 *         &lt;element name="countryCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cityName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cityCodeStandard" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getCities", propOrder = { "language", "identification", "countryCode", "cityName",
		"cityCodeStandard" })
@XmlRootElement
public class GetCities {

	protected String language;
	@XmlElement(required = true)
	protected Identification identification;
	protected String countryCode;
	protected String cityName;
	protected String cityCodeStandard;

	/**
	 * Gets the value of the language property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getLanguage() {
		return language;
	}

	/**
	 * Sets the value of the language property.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setLanguage(String value) {
		this.language = value;
	}

	/**
	 * Gets the value of the identification property.
	 * 
	 * @return possible object is {@link Identification }
	 * 
	 */
	public Identification getIdentification() {
		return identification;
	}

	/**
	 * Sets the value of the identification property.
	 * 
	 * @param value allowed object is {@link Identification }
	 * 
	 */
	public void setIdentification(Identification value) {
		this.identification = value;
	}

	/**
	 * Gets the value of the countryCode property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCountryCode() {
		return countryCode;
	}

	/**
	 * Sets the value of the countryCode property.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCountryCode(String value) {
		this.countryCode = value;
	}

	/**
	 * Gets the value of the cityName property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCityName() {
		return cityName;
	}

	/**
	 * Sets the value of the cityName property.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCityName(String value) {
		this.cityName = value;
	}

	/**
	 * Gets the value of the cityCodeStandard property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCityCodeStandard() {
		return cityCodeStandard;
	}

	/**
	 * Sets the value of the cityCodeStandard property.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCityCodeStandard(String value) {
		this.cityCodeStandard = value;
	}
	 
}
